DOVEADM-EXPUNGE(1)

NAME
doveadm-expunge - Expunge messages matching given search query

SYNOPSIS
doveadm [-Dv] expunge [-S socket_path] [-d] search_query
doveadm [-Dv] expunge [-S socket_path] [-d] -A search_query
doveadm [-Dv] expunge [-S socket_path] [-d] -F file search_query
doveadm [-Dv] expunge [-S socket_path] [-d] -u user search_query

DESCRIPTION
This command can be used to expunge mails matching the given search query. It is typically used to expunge old mails from users' Trash and/or Spam mailboxes. To test which messages a given search query would match, you can use doveadm fetch or doveadm search commands.

In the first form, doveadm(1) will execute the expunge action with the environment of the logged in system user.

In the second form, the command will be performed for all users.

In the third form, doveadm(1) will expunge messages of the users listed in the given file.

In the fourth form, only matching mails of the given user(s) will be expunged. @INCLUDE:global-options@

Command specific options: @INCLUDE:option-A@ @INCLUDE:option-F-file@

-d  Delete the mailbox if it is empty after expunging. @INCLUDE:option-S-socket@ @INCLUDE:option-u-user@

ARGUMENTS

search_query
    Expunge messages matching this search query. See doveadm-search-query(7) for details.

EXAMPLE
This example expunges messages from Spam mailbox that were saved/copied there more than two weeks ago:

doveadm expunge -u jane.doe@example.org mailbox Spam savedbefore 2w
@INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1), doveadm-fetch(1), doveadm-purge(1), doveadm-search(1), doveadm-search-query(7)